<div>
  <h2 id="page-heading" data-cy="SettingHeading">
    <span jhiTranslate="jokegeneratorApp.setting.home.title">Settings</span>

    <div class="d-flex justify-content-end">
      <button class="btn btn-info me-2" (click)="loadPage()" [disabled]="isLoading">
        <fa-icon icon="sync" [spin]="isLoading"></fa-icon>
        <span jhiTranslate="jokegeneratorApp.setting.home.refreshListLabel">Refresh List</span>
      </button>

      <button
        id="jh-create-entity"
        data-cy="entityCreateButton"
        class="btn btn-primary jh-create-entity create-setting"
        [routerLink]="['/setting/new']"
      >
        <fa-icon icon="plus"></fa-icon>
        <span jhiTranslate="jokegeneratorApp.setting.home.createLabel"> Create a new Setting </span>
      </button>
    </div>
  </h2>

  <jhi-alert-error></jhi-alert-error>

  <jhi-alert></jhi-alert>

  <div class="alert alert-warning" id="no-result" *ngIf="settings?.length === 0">
    <span jhiTranslate="jokegeneratorApp.setting.home.notFound">No settings found</span>
  </div>

  <div class="table-responsive" id="entities" *ngIf="settings && settings.length > 0">
    <table class="table table-striped" aria-describedby="page-heading">
      <thead>
        <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" (sortChange)="loadPage()">
          <th scope="col" jhiSortBy="id"><span jhiTranslate="global.field.id">ID</span> <fa-icon icon="sort"></fa-icon></th>
          <th scope="col" jhiSortBy="restaurant.id">
            <span jhiTranslate="jokegeneratorApp.setting.restaurant">Restaurant</span> <fa-icon icon="sort"></fa-icon>
          </th>
          <th scope="col" jhiSortBy="menu.id">
            <span jhiTranslate="jokegeneratorApp.setting.menu">Menu</span> <fa-icon icon="sort"></fa-icon>
          </th>
          <th scope="col" jhiSortBy="article.id">
            <span jhiTranslate="jokegeneratorApp.setting.article">Article</span> <fa-icon icon="sort"></fa-icon>
          </th>
          <th scope="col" jhiSortBy="user.id">
            <span jhiTranslate="jokegeneratorApp.setting.user">User</span> <fa-icon icon="sort"></fa-icon>
          </th>
          <th scope="col"></th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let setting of settings; trackBy: trackId" data-cy="entityTable">
          <td>
            <a [routerLink]="['/setting', setting.id, 'view']">{{ setting.id }}</a>
          </td>
          <td>
            <div *ngIf="setting.restaurant">
              <a [routerLink]="['/restaurant', setting.restaurant?.id, 'view']">{{ setting.restaurant?.id }}</a>
            </div>
          </td>
          <td>
            <div *ngIf="setting.menu">
              <a [routerLink]="['/menu', setting.menu?.id, 'view']">{{ setting.menu?.id }}</a>
            </div>
          </td>
          <td>
            <div *ngIf="setting.article">
              <a [routerLink]="['/article', setting.article?.id, 'view']">{{ setting.article?.id }}</a>
            </div>
          </td>
          <td>
            <div *ngIf="setting.user">
              <a [routerLink]="['/pos-user', setting.user?.id, 'view']">{{ setting.user?.id }}</a>
            </div>
          </td>
          <td class="text-end">
            <div class="btn-group">
              <button
                type="submit"
                [routerLink]="['/setting', setting.id, 'view']"
                class="btn btn-info btn-sm"
                data-cy="entityDetailsButton"
              >
                <fa-icon icon="eye"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
              </button>

              <button
                type="submit"
                [routerLink]="['/setting', setting.id, 'edit']"
                class="btn btn-primary btn-sm"
                data-cy="entityEditButton"
              >
                <fa-icon icon="pencil-alt"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
              </button>

              <button type="submit" (click)="delete(setting)" class="btn btn-danger btn-sm" data-cy="entityDeleteButton">
                <fa-icon icon="times"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
              </button>
            </div>
          </td>
        </tr>
      </tbody>
    </table>
  </div>

  <div *ngIf="settings && settings.length > 0">
    <div class="d-flex justify-content-center">
      <jhi-item-count [params]="{ page: page, totalItems: totalItems, itemsPerPage: itemsPerPage }"></jhi-item-count>
    </div>

    <div class="d-flex justify-content-center">
      <ngb-pagination
        [collectionSize]="totalItems"
        [(page)]="ngbPaginationPage"
        [pageSize]="itemsPerPage"
        [maxSize]="5"
        [rotate]="true"
        [boundaryLinks]="true"
        (pageChange)="loadPage($event)"
      ></ngb-pagination>
    </div>
  </div>
</div>
